<?php

namespace dgsoft\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for GetPNRResponse StructType
 * @package Dg
 * @subpackage Structs
 */
class DgGetPNRResponse extends AbstractStructBase
{
    /**
     * The OTA_AirBookRS
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \dgsoft\StructType\DgOTA_AirBookRS
     */
    public $OTA_AirBookRS;
    /**
     * Constructor method for GetPNRResponse
     * @uses DgGetPNRResponse::setOTA_AirBookRS()
     * @param \dgsoft\StructType\DgOTA_AirBookRS $oTA_AirBookRS
     */
    public function __construct(\dgsoft\StructType\DgOTA_AirBookRS $oTA_AirBookRS = null)
    {
        $this
            ->setOTA_AirBookRS($oTA_AirBookRS);
    }
    /**
     * Get OTA_AirBookRS value
     * @return \dgsoft\StructType\DgOTA_AirBookRS|null
     */
    public function getOTA_AirBookRS()
    {
        return $this->OTA_AirBookRS;
    }
    /**
     * Set OTA_AirBookRS value
     * @param \dgsoft\StructType\DgOTA_AirBookRS $oTA_AirBookRS
     * @return \dgsoft\StructType\DgGetPNRResponse
     */
    public function setOTA_AirBookRS(\dgsoft\StructType\DgOTA_AirBookRS $oTA_AirBookRS = null)
    {
        $this->OTA_AirBookRS = $oTA_AirBookRS;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \dgsoft\StructType\DgGetPNRResponse
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
